Ubuntu

“update-manager” 1:0.150.5.3 source package in Ubuntu

Changelog

update-manager (1:0.150.5.3) natty-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949
 -- Marc Deslauriers <email address hidden>   Wed, 16 May 2012 15:31:19 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2012-05-16
Uploaded to:
Natty
Original maintainer:
Michael Vogt
Component:
main
Architectures:
any
Section:
gnome
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
update-manager_0.150.5.3.tar.gz 2.8 MiB b2113a675d7a32f56d0c000e668b4ae2
update-manager_0.150.5.3.dsc 1.7 KiB 0486b09a486ae6b5b379d2d214891df7

Available diffs

Binary packages built by this source

auto-upgrade-tester: No summary available for auto-upgrade-tester in ubuntu natty.

No description available for auto-upgrade-tester in ubuntu natty.

update-manager: No summary available for update-manager in ubuntu natty.

No description available for update-manager in ubuntu natty.

update-manager-core: No summary available for update-manager-core in ubuntu natty.

No description available for update-manager-core in ubuntu natty.

update-manager-kde: No summary available for update-manager-kde in ubuntu natty.

No description available for update-manager-kde in ubuntu natty.

update-manager-text: No summary available for update-manager-text in ubuntu natty.

No description available for update-manager-text in ubuntu natty.